Commit 571dc9c7 authored by Christian Hergert's avatar Christian Hergert

release 3.26.4

parent 5c664f58
==============
Version 3.26.4
==============
Changes since last release:
• A number of correctness and memory leaks were fixed in the
semantic highlighter, project tree, clang, rustup, vala-pack,
code-index, config manager and configs, and git.
• The meson plugin now uses "meson" "introspect" instead of the
legacy "mesonintrospect" utility.
• Fixes for deprecated API usage in Gtk+.
• Block selection has been fixed in the terminal plugin.
• Postbuild support in configurations was fixed to no longer
run prebuild commands a second time.
• The flatpak plugin now passes --command to build-finish. This
fixes an issue where the wrong binary would get activated when
exporting a project.
• Fixes for -Wincompatible-pointer-type changes from recently
upstreamed type propagation in g_object_ref().
Updated Translations:
Occitan
It is recommended that all distributions update to this release.
==============
Version 3.26.3
==============
......
......@@ -80,6 +80,20 @@
<translation type="gettext">gnome-builder</translation>
<releases>
<release version="3.26.4" date="2018-1-31">
<description>
<p>
This new release of Builder contains a number of bug fixes found
during the 3.26 cycle. It is recommended that you update.
</p>
<ul>
<li>Various memory leak improvements.</li>
<li>Meson plugin no longer uses the legacy "mesonintrospect" utility.</li>
<li>Block selection in the terminal has been restored.</li>
<li>The flatpak exporter now properly determines the target application binary from the manifest.</li>
</ul>
</description>
</release>
<release version="3.26.3" date="2018-1-10">
<description>
<p>
......
......@@ -60,7 +60,7 @@ author = 'Christian Hergert, et al.'
# The short X.Y version.
version = '3.26'
# The full version, including alpha/beta/rc tags.
release = '3.26.2'
release = '3.26.4'
# The language for content autogenerated by Sphinx. Refer to documentation
# for a list of supported languages.
......
project('gnome-builder', 'c',
license: 'GPL3+',
version: '3.26.3',
version: '3.26.4',
meson_version: '>= 0.40.1',
default_options: [
'c_std=gnu11',
......@@ -171,7 +171,7 @@ libgtk_dep = dependency('gtk+-3.0', version: '>= 3.22.1')
libpeas_dep = dependency('libpeas-1.0', version: '>= 1.22.0')
libm_dep = cc.find_library('m', required: false)
libjson_glib_dep = dependency('json-glib-1.0', version: '>= 1.2.0')
libdazzle_dep = dependency('libdazzle-1.0', version: '>= 3.26.2', required: false)
libdazzle_dep = dependency('libdazzle-1.0', version: '>= 3.26.3', required: false)
libtemplate_glib_dep = dependency('template-glib-1.0', version: '>= 3.26.1', required: false)
libjsonrpc_glib_dep = dependency('jsonrpc-glib-1.0', version: '>= 3.26.1',
fallback: ['jsonrpc-glib', 'libjsonrpc_glib_dep'],
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment